Subject: Re: [PATCH] brcmsmac: fix shift on 4 bit masked value

From: Kalle Valo <[email-masked]>
Date: Sun, 18 Apr 2021 06:10:21 +0000 (UTC)

Colin King <[email-masked]> wrote:

> From: Colin Ian King <[email-masked]>
> 
> The calculation of offtune_val seems incorrect, the u16 value in
> pi->tx_rx_cal_radio_saveregs[2] is being masked with 0xf0 and then
> shifted 8 places right so that always ends up as a zero result. I
> believe the intended shift was 4 bits to the right. Fix this.
> 
> [Note: not tested, I don't have the H/W]
> 
> Addresses-Coverity: ("Operands don't affect result")
> Fixes: 5b435de0d786 ("net: wireless: add brcm80211 drivers")
> Signed-off-by: Colin Ian King <[email-masked]>

I think this needs review from someone familiar with the hardware.

Patch set to Changes Requested.

-- 
https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches